Package org.apache.tools.ant.taskdefs.optional.jsp

## Interface JspMangler

- All Known Implementing Classes:
    `Jasper41Mangler`, `JspNameMangler`

      public interface JspMangler

  This is an interface to the Mangler service that jspc needs to map JSP file names to java files. Note the complete lack of correlation with Jasper's mangler interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `mapJspToJavaName​(java.io.File jspFile)` | map from a jsp file to a java filename; does not do packages
    `java.lang.String` | `mapPath​(java.lang.String path)` | taking in the substring representing the path relative to the source dir return a new string representing the destination path

- - ### Method Detail

    - #### mapJspToJavaName

          java.lang.String mapJspToJavaName​(java.io.File jspFile)

      map from a jsp file to a java filename; does not do packages
      Parameters:
        `jspFile` - file
      Returns:
        java filename

    - #### mapPath

          java.lang.String mapPath​(java.lang.String path)

      taking in the substring representing the path relative to the source dir return a new string representing the destination path
      Parameters:
        `path` - the path to map.
      Returns:
        the mapped path.